/// <reference types="node" />
import * as WebSocket from 'ws';
import DataLogReader from '../log-reader';
interface DataPropInterface {
    headers?: Record<string, string>;
    socket: WebSocket;
    head?: Buffer;
    clientKey?: string;
    type?: string;
    data?: string;
}
export declare const handleSocketRequest: (dataProp: DataPropInterface) => void;
export declare const registerParentProcessListener: () => void;
export declare const registerDataReaderListeners: (reader: DataLogReader) => void;
export {};
