import RMQDataPublisher from './rmq_data_publisher';
declare class DistributorHealthResp {
    lastCycleInDistributorDB: number | null;
    lastCyclePublishedByDistributor: number | null;
    lastCycleCursorUpdatedTimestamp: number | null;
}
declare class CollectorHealthResp {
    cycles: RMQMetric[];
    originalTxs: RMQMetric[];
    receipts: RMQMetric[];
}
declare class RMQMetric {
    name: string;
    messages: number;
    memory: number;
    constructor(name: string, messages: number, memory: number);
}
export default class RMQModeHeathCheck {
    private rmqPublisher;
    constructor(rmqPublisher: RMQDataPublisher);
    distributorHealth(): Promise<DistributorHealthResp>;
    collectorHealth(): Promise<CollectorHealthResp>;
    private getQueues;
    private getQueueMetrics;
}
export {};
