/// <reference types="node" />
/// <reference types="socket.io" />
import type { Worker } from 'cluster';
import { Subscriber } from '../Config';
export declare const workerClientMap: Map<Worker, string[]>;
export declare const socketClientMap: Map<string, number>;
export declare const workerProcessMap: Map<number, Worker>;
export declare const distributorSubscribers: Map<string, Subscriber>;
export declare let socketServer: SocketIO.Server;
export declare const showAllProcesses: () => void;
export declare const registerWorkerMessageListener: (worker: Worker) => void;
export declare const updateConfigAndSubscriberList: () => void;
export declare const refreshSubscribers: () => void;
export declare const getWorkerForClient: (clientId: string) => Worker | undefined;
