"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const amqp = require("amqplib");
class RMQConnection {
    constructor(name) {
        this.name = name;
    }
    async getConnection() {
        this.conn = await amqp.connect({
            protocol: process.env.RMQ_PROTOCOL || 'amqp',
            hostname: process.env.RMQ_HOST,
            port: process.env.RMQ_PORT ? parseInt(process.env.RMQ_PORT) : 5672,
            username: process.env.RMQ_USER,
            password: process.env.RMQ_PASS,
        });
        return this.conn;
    }
}
exports.default = RMQConnection;
//# sourceMappingURL=conn.js.map