import * as core from '@shardeum-foundation/lib-crypto-utils';
import { SignedObject } from '@shardeum-foundation/lib-crypto-utils';
export declare function setCryptoHashKey(hashkey: string): void;
export declare const hashObj: typeof core.hashObj;
export type SignedMessage = SignedObject;
export declare function sign<T>(obj: T, sk?: string, pk?: string): T & SignedObject;
export declare function verify(obj: SignedObject): boolean;
